Developer Hub
Request Demo
Request Demo
Support
  1. EntityInsights
  • Getting Started
    • Introduction
  • API Reference
    • Admins
      • Bulk Admins Download API
    • Business Owners
      • Bulk Business Owners Download API
      • Bulk Business Owners Upload API
    • Configuration
      • Bulk Entity Finding Rules Download API
      • Bulk Custom Insights (Entity Rules) Download API
      • Bulk Filters Download API
      • Bulk Findings Download API
      • Get Branding Information
    • Employees
      • Bulk Employees Download API
      • Bulk Employees Upload API
    • Entitlements
      • Bulk Entitlements Download API
      • Bulk Entitlements Upload API
    • Entities
      • Bulk Entities Download API
      • Bulk Entities Upload API
      • Bulk Entities + Entity-Relations Zip Upload API
    • EntityInsights
      • Bulk Entity Insights Download API
        POST
    • EntityRelations
      • Bulk Entity Relations Download API
      • Bulk Entity Relations Upload API
    • EntityRBAC
      • Bulk Entity RBAC Download API
    • Integrations
      • Bulk Integrations Download API
    • Purposes
      • Bulk Purposes Download API
    • Relations
      • Bulk Relations Upload API
    • Requests
      • Bulk Requests Download API
    • Reviews
      • Bulk Reviews Download API
  • Relations
    • Bulk Employee Relations Upload API
      POST
    • Bulk Employee Relations Download API
      POST
  • Schemas
    • Schemas
      • AdminsDownloadURLRequest
      • BusinessOwnersDownloadURLRequest
      • EntitiesDownloadURLRequest
      • EntitiesUploadURLRequest
      • EntitlementDownloadURLRequest
      • EntitlementUploadURLRequest
      • EntityRelationsDownloadURLRequest
      • EntityRelationsUploadURLRequest
      • Error
      • FindingsDownloadURLRequest
      • UploadURLResponse
    • DownloadURLResponse
    • EmployeeRelationsDownloadURLRequest
    • ReviewDownloadURLRequest
    • RequestsDownloadURLRequest
    • EntitiesBulkUploadURLRequest
    • Logo
    • BrandingResponse
  1. EntityInsights

Bulk Entity Insights Download API

POST
https://balkanid.app/api/rest/v0/entity-insights/download-url

BalkanID Entity Insights Download CSV Format#

In this section, we will explain the BalkanID Entity Insights CSV format.

Sample CSV#

ID*Insight*Identity ID*Identity Email*Value*Integration ID*
outlier/ghijkloutlieremail/acbdefuser@email.com{ connections: [] , job: "engineer", department: "engineering", role: [], insight_type: "No Role", date identified: 1234, insight_description: "something here"}aws/123
NOTE: Columns with * are required always.
Column Definitions#
Column NameColumn Description
IDRequired - ID of the Insight
InsightRequired - Name of the Insight, currently "outlier"
Identity IDRequired - ID of an Employee
Identity EmailRequired - Email of an Employee
ValueRequired - Is a JSON with the following format: { connections: [] , job: engineer, department: engineering, role: [], insight_type: One of Unique Connection(s)/Below Threshold/No Job Title/No Department, date identified: datetime, insight_description: something here}
Integration IDRequired - The ID of the Integraion
Required Columns#
All columns are required.

Download the CSV file via the pre-signed URL#

After retrieving the pre-signed URL in the previous step, all that remains is to download the CSV in BalkanID Entity Insights CSV format from the pre-signed URL.
To use the polling URL, first send an HTTP request with the method HEAD to the pollingUrl.
If the response status code is 404, the file is not ready, and you should retry this polling request after a delay.
If the response status code is 200, the file is ready, and you may proceed to download the CSV from the received url.

Request

Authorization
API Key
Add parameter in header
X-API-KEY-ID
Example:
X-API-KEY-ID: ********************
API Key
Add parameter in header
X-API-KEY-SECRET
Example:
X-API-KEY-SECRET: ********************
or
Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://balkanid.app/api/rest/v0/entity-insights/download-url' \
--header 'X-Api-Key-ID;' \
--header 'X-Api-Key-Secret;' \
--header 'X-API-KEY-ID: <api-key>' \
--header 'X-API-KEY-SECRET: <api-key>' \
--header 'Content-Type: application/json'

Responses

🟢200OK
application/json
download url response
Bodyapplication/json

Example
{
    "url": "string",
    "pollingUrl": "string"
}
⚪defaultServer Error
Modified at 2026-11-06 13:38:07
Previous
Bulk Entities + Entity-Relations Zip Upload API
Next
Bulk Entity Relations Download API
Built with